@import "Bootstrap/variables";
@import "Bootstrap/bootstrap";
html, body {
  height: 100%;
}

@function rem($size) {
  @return $size / 16px * 1rem;
}

@mixin responsive-font($fmin,$fmax) {
  font-size: clamp(rem($fmin), calc(0.5vw + 1rem), rem($fmax));
}

p {
  //font-size: clamp(1.1rem, 2.5vw, 1.125rem);
  font-size: rem(18px);
  letter-spacing: 0.04em;
}

.lato {
  font-family: $custom-font-family !important;
}

.text-justify {
  text-align: justify;
}
.text-right {
  text-align: right;
}

.extbase-debugger {
 overflow:visible;
}

// Components
@import "Components/fonts";
@import "Components/headlines";
@import "Components/breadcrumb";
@import "Components/navbar-toggle";
@import "Components/animated_search";
@import "Components/cards";
@import "Components/tables";
@import "Components/forms";

// ContentElemente
@import "ContentElemente/swiper";
@import "ContentElemente/entry";
@import "ContentElemente/news";
@import "ContentElemente/icon-card";
@import "ContentElemente/subjects";

// Modules
@import "Module/info-bar";
@import "Module/main-nav";
@import "Module/mobile-nav";
@import "Module/meta-nav";
@import "Module/search";
@import "Module/cookie-consent";

// Layout
@import "Layout/footer";
@import "Layout/frame";
@import "Layout/subpages";
@import "Layout/ce_textpic";
@import "Layout/rte";

// Vendor
@import "../Vendor/node_modules/swiper/swiper";

@include media-breakpoint-up(sm) {

}

@include media-breakpoint-up(md) {

}

@include media-breakpoint-up(lg) {

}

@include media-breakpoint-up(xl) {

}
